Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1340303 - pandoc-2.0.6 is available
Summary: pandoc-2.0.6 is available
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: pandoc
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Jens Petersen
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard: pandoc-2.0.6:deps
Depends On: 1328539 1511911
Blocks:
TreeView+ depends on / blocked
 
Reported: 2016-05-27 00:20 UTC by Upstream Release Monitoring
Modified: 2018-02-06 06:19 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: Enhancement
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-02-06 06:19:26 UTC


Attachments (Terms of Use)
Rebase-helper rebase-helper-debug.log log file. See for details and report the eventual error to rebase-helper https://github.com/phracek/rebase-helper/issues. (deleted)
2016-05-27 00:21 UTC, Upstream Release Monitoring
no flags Details | Diff
Rebase-helper rebase-helper-debug.log log file. See for details and report the eventual error to rebase-helper https://github.com/phracek/rebase-helper/issues. (deleted)
2016-06-06 00:20 UTC, Upstream Release Monitoring
no flags Details | Diff
Rebase-helper rebase-helper-debug.log log file. See for details and report the eventual error to rebase-helper https://github.com/phracek/rebase-helper/issues. (deleted)
2017-02-12 12:26 UTC, Upstream Release Monitoring
no flags Details | Diff
[patch] Update to 2.0.5 (#1340303) (deleted)
2017-12-19 12:24 UTC, Upstream Release Monitoring
no flags Details | Diff
[patch] Update to 2.0.6 (#1340303) (deleted)
2018-01-01 00:23 UTC, Upstream Release Monitoring
no flags Details | Diff

Description Upstream Release Monitoring 2016-05-27 00:20:43 UTC
Latest upstream release: 1.17.0.3
Current version/release in rawhide: 1.16.0.2-3.fc25
URL: http://hackage.haskell.org/package/pandoc

Please consult the package updates policy before you issue an update to a stable branch: https://fedoraproject.org/wiki/Updates_Policy

More information about the service that created this bug can be found at: https://fedoraproject.org/wiki/Upstream_release_monitoring

Please keep in mind that with any upstream change, there may also be packaging changes that need to be made. Specifically, please remember that it is your responsibility to review the new version to ensure that the licensing is still correct and that no non-free or legally problematic items have been added upstream.

Based on the information from anitya:  https://release-monitoring.org/project/2589/

Comment 1 Upstream Release Monitoring 2016-05-27 00:21:26 UTC
Patching or scratch build for pandoc-1.16.0.2 failed.

Comment 2 Upstream Release Monitoring 2016-05-27 00:21:27 UTC
Created attachment 1162317 [details]
Rebase-helper rebase-helper-debug.log log file.
See for details and report the eventual error to rebase-helper https://github.com/phracek/rebase-helper/issues.

Comment 3 Upstream Release Monitoring 2016-05-27 00:21:29 UTC
Patches were not touched. All were applied properly

Comment 4 Upstream Release Monitoring 2016-06-06 00:19:59 UTC
Latest upstream release: 1.17.1
Current version/release in rawhide: 1.16.0.2-3.fc25
URL: http://hackage.haskell.org/package/pandoc

Please consult the package updates policy before you issue an update to a stable branch: https://fedoraproject.org/wiki/Updates_Policy

More information about the service that created this bug can be found at: https://fedoraproject.org/wiki/Upstream_release_monitoring

Please keep in mind that with any upstream change, there may also be packaging changes that need to be made. Specifically, please remember that it is your responsibility to review the new version to ensure that the licensing is still correct and that no non-free or legally problematic items have been added upstream.

Based on the information from anitya:  https://release-monitoring.org/project/2589/

Comment 5 Upstream Release Monitoring 2016-06-06 00:20:41 UTC
Patching or scratch build for pandoc-1.16.0.2 failed.

Comment 6 Upstream Release Monitoring 2016-06-06 00:20:42 UTC
Created attachment 1164962 [details]
Rebase-helper rebase-helper-debug.log log file.
See for details and report the eventual error to rebase-helper https://github.com/phracek/rebase-helper/issues.

Comment 7 Upstream Release Monitoring 2016-06-06 00:20:44 UTC
Patches were not touched. All were applied properly

Comment 8 Jens Petersen 2016-06-22 11:21:59 UTC
fhbz: cblrpm missingdeps output for pandoc-1.17.1:


http-client
http-client-tls
network-uri

http-client needs: (network-uri)
http-client-tls needs: connection (http-client) tls

Comment 9 Jens Petersen 2016-06-27 04:06:08 UTC
pandoc-1.17.1 needs newer highlighting-kate.

Comment 11 Upstream Release Monitoring 2017-02-12 12:26:04 UTC
Latest upstream release: 1.19.2.1
Current version/release in rawhide: 1.17.0.3-4.fc26
URL: http://hackage.haskell.org/package/pandoc

Please consult the package updates policy before you issue an update to a stable branch: https://fedoraproject.org/wiki/Updates_Policy

More information about the service that created this bug can be found at: https://fedoraproject.org/wiki/Upstream_release_monitoring

Please keep in mind that with any upstream change, there may also be packaging changes that need to be made. Specifically, please remember that it is your responsibility to review the new version to ensure that the licensing is still correct and that no non-free or legally problematic items have been added upstream.

Based on the information from anitya:  https://release-monitoring.org/project/2589/

Comment 12 Upstream Release Monitoring 2017-02-12 12:26:54 UTC
Patching or scratch build for pandoc-1.17.0.3 failed.

Comment 13 Upstream Release Monitoring 2017-02-12 12:26:55 UTC
Created attachment 1249517 [details]
Rebase-helper rebase-helper-debug.log log file.
See for details and report the eventual error to rebase-helper https://github.com/phracek/rebase-helper/issues.

Comment 14 Upstream Release Monitoring 2017-02-12 12:26:57 UTC
Patches were not touched. All were applied properly

Comment 15 James Boyle 2017-06-21 13:37:32 UTC
Hello,

I was wondering if it were possible to get pandoc updated for FC25.  I ran into an issue trying to convert and compare two documents.  It seems that table data in ODT files is dropped in 1.17, but 1.19+ has the fix.  

Thank you!
--James

From the pandoc changelog (https://github.com/jgm/pandoc/blob/master/changelog):

* ODT reader/writer:

    + Inline code when text has a special style (Hubert Plociniczak). When
      a piece of text has a text `Source_Text` then we assume that this is
      a piece of the document that represents a code that needs to
      be inlined. Adapted the writer to also reflect that change.
      Previously it was just writing a 'preformatted' text using a
      non-distinguishable font style. Code blocks are still not recognized
      by the ODT reader. That's a separate issue.
    + Infer table's caption from the paragraph (#3224,
      Hubert Plociniczak). ODT's reader always put empty captions for the
      parsed tables. This commit

        1.  checks paragraphs that follow the table definition
        2.  treats specially a paragraph with a style named 'Table'
        3.  does some postprocessing of the paragraphs that combines tables
            followed immediately by captions

	The ODT writer used the `TableCaption` style for the caption
	paragraph.  This commit follows the OpenOffice approach which allows
	for appending captions to table but uses a built-in style named
	`Table` instead of `TableCaption`. Users of a custom `reference.odt`
	should change the style's name from `TableCaption` to `Table`.

  * ODT reader: Infer tables' header props from rows (#3199,
    Hubert Plociniczak). ODT reader simply provided an empty header list
    which meant that the contents of the whole table, even if not empty, was
    simply ignored. While we still do not infer headers we at least have to
    provide default properties of columns.

Comment 16 Upstream Release Monitoring 2017-09-11 12:24:02 UTC
Latest upstream release: 1.19.2.3
Current version/release in rawhide: 1.19.1-3.fc27
URL: http://hackage.haskell.org/package/pandoc

Please consult the package updates policy before you issue an update to a stable branch: https://fedoraproject.org/wiki/Updates_Policy

More information about the service that created this bug can be found at: https://fedoraproject.org/wiki/Upstream_release_monitoring

Please keep in mind that with any upstream change, there may also be packaging changes that need to be made. Specifically, please remember that it is your responsibility to review the new version to ensure that the licensing is still correct and that no non-free or legally problematic items have been added upstream.

Based on the information from anitya:  https://release-monitoring.org/project/2589/

Comment 17 Upstream Release Monitoring 2017-09-11 12:24:10 UTC
One or more of the new sources for this package are identical to the old sources. It's likely this package does not use the version macro in its Source URLs. If possible, please update the specfile to include the version macro in the Source URLs

Comment 18 Upstream Release Monitoring 2017-09-17 12:24:31 UTC
Latest upstream release: 1.19.2.4
Current version/release in rawhide: 1.19.1-3.fc27
URL: http://hackage.haskell.org/package/pandoc

Please consult the package updates policy before you issue an update to a stable branch: https://fedoraproject.org/wiki/Updates_Policy

More information about the service that created this bug can be found at: https://fedoraproject.org/wiki/Upstream_release_monitoring

Please keep in mind that with any upstream change, there may also be packaging changes that need to be made. Specifically, please remember that it is your responsibility to review the new version to ensure that the licensing is still correct and that no non-free or legally problematic items have been added upstream.

Based on the information from anitya:  https://release-monitoring.org/project/2589/

Comment 19 Upstream Release Monitoring 2017-09-17 12:24:40 UTC
One or more of the new sources for this package are identical to the old sources. It's likely this package does not use the version macro in its Source URLs. If possible, please update the specfile to include the version macro in the Source URLs

Comment 20 Jens Petersen 2017-10-16 02:59:24 UTC
fhbz: cblrpm missingdeps output for pandoc-1.19.2.4:

http-client-tls
skylighting

http-client-tls-0.3.5.1 in Stackage lts
http-client-tls needs: connection tls
skylighting-0.1.1.5 in Stackage lts
skylighting needs: hxt regex-pcre-builtin

Comment 21 Hedayat Vatankhah 2017-10-31 11:21:06 UTC
Pandoc 2.0/2.0.0.1 is released, which adds at least one interesting feature: built-in DIVs. It'd be great if it is updated for F27.

Thanks.

Comment 22 Upstream Release Monitoring 2017-12-19 12:24:15 UTC
Latest upstream release: 2.0.5
Current version/release in rawhide: 1.19.2.4-2.fc28
URL: http://hackage.haskell.org/package/pandoc

Please consult the package updates policy before you issue an update to a stable branch: https://fedoraproject.org/wiki/Updates_Policy

More information about the service that created this bug can be found at: https://fedoraproject.org/wiki/Upstream_release_monitoring

Please keep in mind that with any upstream change, there may also be packaging changes that need to be made. Specifically, please remember that it is your responsibility to review the new version to ensure that the licensing is still correct and that no non-free or legally problematic items have been added upstream.

Based on the information from anitya:  https://release-monitoring.org/project/2589/

Comment 23 Upstream Release Monitoring 2017-12-19 12:24:20 UTC
Created attachment 1369983 [details]
[patch] Update to 2.0.5 (#1340303)

Comment 24 Upstream Release Monitoring 2017-12-19 12:37:51 UTC
hotness's scratch build of pandoc-2.0.5-1.el7.src.rpm for rawhide failed http://koji.fedoraproject.org/koji/taskinfo?taskID=23792286

Comment 25 Upstream Release Monitoring 2018-01-01 00:23:51 UTC
Latest upstream release: 2.0.6
Current version/release in rawhide: 1.19.2.4-2.fc28
URL: http://hackage.haskell.org/package/pandoc

Please consult the package updates policy before you issue an update to a stable branch: https://fedoraproject.org/wiki/Updates_Policy

More information about the service that created this bug can be found at: https://fedoraproject.org/wiki/Upstream_release_monitoring

Please keep in mind that with any upstream change, there may also be packaging changes that need to be made. Specifically, please remember that it is your responsibility to review the new version to ensure that the licensing is still correct and that no non-free or legally problematic items have been added upstream.

Based on the information from anitya:  https://release-monitoring.org/project/2589/

Comment 26 Upstream Release Monitoring 2018-01-01 00:23:56 UTC
Created attachment 1375081 [details]
[patch] Update to 2.0.6 (#1340303)

Comment 27 Upstream Release Monitoring 2018-01-01 00:29:21 UTC
hotness's scratch build of pandoc-2.0.6-1.el7.src.rpm for rawhide failed http://koji.fedoraproject.org/koji/taskinfo?taskID=23959411

Comment 28 Jens Petersen 2018-01-10 05:36:59 UTC
fhbz: cblrpm missingdeps output for pandoc-2.0.6:

cmark-gfm
hslua-module-text

cmark-gfm-0.1.3 in Stackage lts
hslua-module-text-0.1.2.1 in Stackage lts

Comment 29 Jens Petersen 2018-02-06 06:19:26 UTC
pandoc-2.0.6-1.fc28


Note You need to log in before you can comment on or make changes to this bug.